Mint 18 til Mint 18.1

frogmaster
Antal: 3240
Tilmeldt:
20-05-2010
User is online
Mint 18 til Mint 18.1

Mint 18 tilbyder nu opgradering til 18.1

Det fungerer ganske udmærket på maskinen (en gammel HP ProBook), med et enkelt problem i repository (Lynis, Ciscofy) og visse med Cinnamon og GTK Themes.

Jeg vil mene, for en sikkerheds skyld, at det endnu er klogest at vente lidt hvis du allerede har et velfungerende, men alt efter dit eget skøn. Traditionelt er det erfaringsmæssigt bedst at slå koldt vand i blodet, med mindre dit foremål er at deltage i systemudviklingen. Alligevel ser opgraderingerne ud til at være mere stabile end tidligere.

Selve opgraderingen tog blot 5 minutter (Beat that Microsoft and Apple ;).


marlar
Antal: 2804
Tilmeldt:
05-12-2009
User is offline
Enig. Jeg er altid

Enig. Jeg er altid konservativ med opgradering og dermed ofte nogle måneder bagud :)

Better safe than sorry.


OracleJMT
OracleJMT's picture
Antal: 204
Tilmeldt:
26-05-2013
User is offline
Det der irriterer mig ved

Det der irriterer mig ved Debian* (Debian plus derivater) generelt er, når jeg køber ny hardware. Deres release schedule er simpelthen så langsom, så det kan tage over et år for f.eks. ordentlig understøttelse af de nyeste Intel chips.

Hypotese:

Køber bærbar, når Mint 18 kommer ud. Hardwaren er først understøttet med den kerne, der følger med Mint 18.3, eller Mint 19.

Hvor f.eks. OpenSUSE Tumbleweed ville være længere fremme meget hurtigere. Deraf meget hurtigere hardwareunderstøttelse til ny hardware.

Herefter kommer så irritationen, hvis der er bugs, der ikke bliver rettet, fordi systemet følger en frosset schedule. Så skal jeg vente et halvt år til den næste Mint, før en eller anden irriterende bug i lad os sige Networkmanager, eller systemd bliver rettet. Det har jeg været ude for. Det er ikke alt der bliver backportet. Noget springer backports over og går direkte til point versions, og kommer først ud i den næste Mint.


frogmaster
frogmaster's picture
Antal: 3240
Tilmeldt:
20-05-2010
User is online
Der kan være problemer med

Der kan være problemer med NVidia, kernels og Mint 18.1, og Clem hævder at supporten er forbedret (Optimus, Compatibility mode og nouveau.noaccel=1) inklusiv Release Notes etc.
https://www.linuxmint.com/rel_serena_cinnamon.php

I Mint 18 crasher Cinnamon undertiden. Denne bug ser ud til at være fixet i Mint 18.1.

http://blog.linuxmint.com/?p=3185
Den sædvanlige kommentar er gentaget:

Upgrade for a reason
“If it ain’t broke, don’t fix it”.

You might want to upgrade to 18.1 because some bug that annoys you is fixed or because you want to get some of the new features. In any case, you should know why you’re upgrading.

As excited as we are about 18.1, upgrading blindly for the sake of running the latest version does not make much sense, especially if you’re already happy and everything is working perfectly.

Angående kernels, så er det er god ide at indstille Opdateringspolitik i Opdateringshåndtering allerede under installationen. Efterfølgende kan de ændres, såvel som op- og nedgradering af kernel versioner under Rediger og Vis i Opdateringshåndtering.

Får man brug for at starte Mint i recovery mode, skal man enten holde tasten Shift eller Esc nede mens den starter.


OracleJMT
OracleJMT's picture
Antal: 204
Tilmeldt:
26-05-2013
User is offline
Jeg kørte Mint 18.1 med

Jeg kørte Mint 18.1 med Cinnamon i en lille periode på min nye laptop med Intel Skylake. Jeg synes ikke understøttelsen af Intel onboard GPU'en er noget, at råbe hurra for; jeg oplevede både screen tearing i video og når jeg flyttede vinduer i Cinnamon. Det hjalp, at ændre i xorg.conf og tilføje "option tearfree" under kolonnen screen, men problemet kunne fremprovokeres under visse workloads. Ikke noget af betydning, men måske blot én mindre ændring i panelet. Det er en 4 kerner i5 processor, 8 GB ram, Intel Skylake Asus Laptop.

Derimod tager Gnome meget bedre imod den GPU og compositing virker ud af æsken under næsten alle workloads med kernel 4.9 og mange Gnome Shell extensions slået til i OpenSUSE Tumbleweed.

Jeg hælder mest til en bug i Muffin, Cinnamons fork af Gnomes Mutter, som er den compositor, der kører grafik-showet i Cinnamon.


frogmaster
frogmaster's picture
Antal: 3240
Tilmeldt:
20-05-2010
User is online
#4Det kunne skyldes at Mint

#4

Det kunne skyldes at Mint 18.1 stadig er så ny.
Min test maskine, der er overordentlig svag, med et onboard [AMD/ATI] BeaverCreek [Radeon HD 6520G], klarer det sådan set helt fint:

https://dl.dropboxusercontent.com/u/15353512/gpu-t...


Poul
Antal: 292
Tilmeldt:
18-09-2014
User is offline
Mint 17

#1:

Jeg ser ingen grund til at skifte Mint 17 ud, når det bare virker perfekt!

Eller har jeg overset noget her?


frogmaster
frogmaster's picture
Antal: 3240
Tilmeldt:
20-05-2010
User is online
Eller har jeg overset

#6: Eller har jeg overset noget her?

Nej det har du ikke.


frogmaster
frogmaster's picture
Antal: 3240
Tilmeldt:
20-05-2010
User is online
Jeg hælder mest til en

#4: Jeg hælder mest til en bug i Muffin, Cinnamons fork af Gnomes Mutter, som er den compositor, der kører grafik-showet i Cinnamon.

Jeg tror du har ret. Problemet ser ud at at være opstået efter Mint 17.3 og dermed i Mint 18 og stadig i 18.1. Det ser ikke konsistent ud, og jeg kan ikke pege direkte på årsagen. Kun sige at det heller ikke, udover Gnome, er et problem i Ubuntu 16.04 og Unity.


copycat
copycat's picture
Antal: 199
Tilmeldt:
25-09-2007
User is offline
Samba

Det ser ud til at der er et problem med Samba, det nægter ganske enkelt at starte. Andre ser ud til at have samme problem. Sandsynligvis inkompatibilitet af en eller anden art.


frogmaster
frogmaster's picture
Antal: 3240
Tilmeldt:
20-05-2010
User is online
Det ser ud til at der er

#9: Det ser ud til at der er et problem med Samba

Ja, men Samba problemet jeg kender, er kun relateret til OS X, inklusiv den nye Mac OS (Sierra), og det er kun Linux's Samba Klient, ikke serveren der er problemet. Samba server og klient fungerer til og fra Windows og andre Linux.

Det er alle Linux der har problemet med Samba klienten til OS X, og ikke kun Ubuntu og derivater.

Der er en løsning, og den er at bruge CIFS protokollen i stedet for Samba. Ganske enkelt installer Smb4K. Det løser samtidig problemet med KDE's Filemanager Dolphin, der er ude af stand til streame medie filer on the fly.

Det var cb400f der foreslog Smb4K, og det virker i samtlige Linux og de forskellige Desktop Environments.


OracleJMT
OracleJMT's picture
Antal: 204
Tilmeldt:
26-05-2013
User is offline
Problemet er, at Samba ikke

Problemet er, at Samba ikke kan finde /etc/libuser.conf.

Derfor:

sudo touch /etc/libuser.conf

Derefter skulle du kunne starte den.

Hvis det altså er system-config-samba du ikke kan starte.


frogmaster
frogmaster's picture
Antal: 3240
Tilmeldt:
20-05-2010
User is online
Hvis det altså er

#11: Hvis det altså er system-config-samba du ikke kan starte

Ja det er server GUI'en (smb.conf). Alt efter hvad #9 mener, så virker det ikke med Samba klienten til OS X maskiner.


copycat
copycat's picture
Antal: 199
Tilmeldt:
25-09-2007
User is offline
Samba

Tak til OracleJMT, det er netop system-config-samba, jeg prøver dit tip når jeg får startet min "nye" laptop. ("ny" betyder min søns gamle med totally crashed windows, derfor røg der Mint cinnamon på, da jeg har god erfaring med denne).

frogmaster, det er blot til forbindelse mellem to linux pc'er, så de, så nogenlunde, kan synkroniseres.


frogmaster
frogmaster's picture
Antal: 3240
Tilmeldt:
20-05-2010
User is online
#13OK. File sharing kræver

#13

OK. File sharing kræver ikke system-config-samba, men samba serveren skal først installeres. Herunder er den helt rå installering og konfigurering i tilfælde du behøver den.

sudo apt install samba
sudo xed /etc/samba/smb.conf (ændr evt workgroup-navn)
sudo service smbd restart

Del en mappe i profilen ved at højreklikke og vælge Egenskaber. I fanebladene Rettighed og Deling, indstil ved at vælge blandt mulighederne.

Fordi ejerskabet ved filoverførsler ikke tilhører modtageren, skal de ændres. Åbn terminalen i den ovenstående mappe på modtagerens maskine og skriv (tilpas bruger-navn og mappe-navn):

sudo chown -R "bruger-navn":"bruger-navn" "mappe-navn"

Du kan se en super kort video her, om hvordan det fungerer, efter samba serveren er installeret:
https://dl.dropboxusercontent.com/u/15353512/samba...


marlar
Antal: 2804
Tilmeldt:
05-12-2009
User is offline
frogmaster, det er blot

#13: frogmaster, det er blot til forbindelse mellem to linux pc'er, så de, så nogenlunde, kan synkroniseres.

Så vil jeg da foreslå NFS, som er native Linux. Og så får du automatisk permissions med.


frogmaster
frogmaster's picture
Antal: 3240
Tilmeldt:
20-05-2010
User is online
Så vil jeg da foreslå

#15: Så vil jeg da foreslå NFS, som er native Linux. Og så får du automatisk permissions med.

Ja det er jeg helt enig i. Desværre kunne man sige, så kan folk finde på at sætte Windows og Mac's på LAN, og så er netværket heterogent, og dermed SMB/CIFS der er nødvendige til fil overførsler. Hvis #9 ikke behøver det så er NFS en bedre protokol i et rent Linux miljø.

Mens jeg husker det, så behøver man ikke bruge terminalen på modtager-maskinen for at ændre tilladelserne med brug af Smb4K. Det kan gøres på afsendermaskinen så modtageren har tilstrækkelig rettigheder, ved at højreklikke på objektet, vælge Egenskaber og i rettighedsfanen ændre tilladelserne. Det er lidt nemmere, men man skal vide det.

https://dl.dropboxusercontent.com/u/15353512/smb4k...